UNIT Savedlg;

INTERFACE

USES
    Windows,
    Messages,
    SysUtils,
    Classes,
    Graphics,
    Controls,
    Forms,
    Dialogs,
    StdCtrls,
    Buttons,
    aresources;

TYPE
    TForm6=CLASS(TForm)
        Edit1:TEdit;
        SpeedButton1:TButton;
        PROCEDURE FormCreate(Sender:TObject);
        PROCEDURE FormDestroy(Sender:TObject);
        PROCEDURE SpeedButton1Click(Sender:TObject);
        PROCEDURE Edit1KeyPress(Sender:TObject;VAR Key:Char);
    PRIVATE
    { Private declarations }
    PUBLIC
    { Public declarations }
    END;

VAR
    Form6:TForm6;

IMPLEMENTATION
USES mainunit1,
    inifiles;
VAR
    prjfile:tinifile;
{$R *.DFM}

PROCEDURE TForm6.FormCreate(Sender:TObject);
BEGIN
    prjfile:=tinifile.create(prjname);
    self.Caption:=p_saveprj;
    speedbutton1.Caption:=p_saveprj;
    activecontrol:=edit1;
END;

PROCEDURE TForm6.FormDestroy(Sender:TObject);
BEGIN
    prjfile.updatefile;
    prjfile.free;
END;

PROCEDURE TForm6.SpeedButton1Click(Sender:TObject);
BEGIN
    IF prjfile.SectionExists(edit1.text) THEN
        IF messagedlg(prj_exists, mtconfirmation, [mbyes, mbno], 0)=mrno THEN exit;

    prjfile.WriteString(edit1.text, 'val_MAC', form1.edit1.text);
    prjfile.WriteString(edit1.text, 'val_H', form1.edit2.text);
    prjfile.WriteString(edit1.text, 'val_D', form1.edit3.text);
    prjfile.WriteString(edit1.text, 'val_dT', form1.edit4.text);
    prjfile.WriteString(edit1.text, 'val_M', form1.edit5.text);
    prjfile.WriteString(edit1.text, 'val_W0', form1.edit6.text);
    prjfile.WriteString(edit1.text, 'val_Xf', form1.edit7.text);
    prjfile.WriteString(edit1.text, 'val_A', form1.edit8.text);
    prjfile.WriteString(edit1.text, 'val_F', form1.edit9.text);
    prjfile.WriteString(edit1.text, 'val_U', form1.edit17.text);
    prjfile.UpdateFile;
    form1.debugview(format(prj_saved, [edit1.text]));
    modalresult:=mrok;
    close;//for safety ;-)
END;

PROCEDURE TForm6.Edit1KeyPress(Sender:TObject;VAR Key:Char);
BEGIN
    IF key IN [#13, #10] THEN SpeedButton1Click(Sender);
END;

END.
