UNIT Opendlg;

INTERFACE

USES
    Windows,
    Messages,
    SysUtils,
    Classes,
    Graphics,
    Controls,
    Forms,
    Dialogs,
    Buttons,
    StdCtrls,
    aresources,
    aregistry;

TYPE
    TForm7=CLASS(TForm)
        ListBox1:TListBox;
        SpeedButton1:TButton;
        PROCEDURE FormCreate(Sender:TObject);
        PROCEDURE FormDestroy(Sender:TObject);
        PROCEDURE ListBox1DblClick(Sender:TObject);
    PRIVATE
    { Private declarations }
    PUBLIC
    { Public declarations }
    END;

VAR
    Form7:TForm7;

IMPLEMENTATION
USES mainunit1,
    inifiles;
VAR
    prjfile:tinifile;
{$R *.DFM}

PROCEDURE TForm7.FormCreate(Sender:TObject);
BEGIN
    prjfile:=tinifile.create(prjname);
    prjfile.ReadSections(listbox1.items);
    self.Caption:=p_openprj;
    speedbutton1.Caption:=p_openprj;
END;

PROCEDURE readprjfile(edit1:STRING);
BEGIN
    form1.edit1.text:=prjfile.ReadString(edit1, 'val_MAC', '0');
    form1.edit2.text:=prjfile.ReadString(edit1, 'val_H', '0');
    form1.edit3.text:=prjfile.ReadString(edit1, 'val_D', '0');
    form1.edit4.text:=prjfile.ReadString(edit1, 'val_dT', '0');
    form1.edit5.text:=prjfile.ReadString(edit1, 'val_M', '0');
    form1.edit6.text:=prjfile.ReadString(edit1, 'val_W0', '0');
    form1.edit7.text:=prjfile.ReadString(edit1, 'val_Xf', '0');
    form1.edit8.text:=prjfile.ReadString(edit1, 'val_A', '0');
    form1.edit9.text:=prjfile.ReadString(edit1, 'val_F', '0');
    form1.edit17.text:=prjfile.ReadString(edit1, 'val_U', '0');
END;

PROCEDURE TForm7.FormDestroy(Sender:TObject);
BEGIN
    prjfile.updatefile;
    prjfile.free;
END;

PROCEDURE TForm7.ListBox1DblClick(Sender:TObject);
VAR
    reg:Tregistry;
BEGIN
    IF prjfile.SectionExists(listbox1.items[listbox1.ItemIndex]) THEN BEGIN
        readprjfile(listbox1.items[listbox1.ItemIndex]);
        reg:=TRegistry.Create;
        IF reg.OpenKey(mydir, true, RW) THEN
            reg.WriteString('kovrov.prj', listbox1.items[listbox1.ItemIndex]);
        reg.Free;
        form1.debugview(format(prj_loaded, [listbox1.items[listbox1.ItemIndex]]));
        modalresult:=mrok;
        close;
    END;
END;

END.
